# This script was automatically generated from the SSA-2006-340-01
# Slackware Security Advisory
# It is released under the Nessus Script Licence.
# Slackware Security Advisories are copyright 1999-2004 Slackware Linux, Inc.
# SSA2nasl Convertor is copyright 2004 Michel Arboi
# See http://www.slackware.com/about/ or http://www.slackware.com/security/
# Slackware(R) is a registered trademark of Slackware Linux, Inc.

if (! defined_func("bn_random")) exit(0);
desc='
New gnupg packages are available for Slackware 9.0, 9.1, 10.0, 10.1,
10.2, and 11.0 to fix security issues.

More details about the issues may be found here:
  http://lists.gnupg.org/pipermail/gnupg-announce/2006q4/000246.html
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6235
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6169


';
if (description) {
script_id(24662);
script_version("$Revision: 1.1 $");
script_category(ACT_GATHER_INFO);
script_family(english: "Slackware Local Security Checks");
script_dependencies("ssh_get_info.nasl");
script_copyright("This script is Copyright (C) 2007 Michel Arboi <mikhail@nessus.org>");
script_require_keys("Host/Slackware/release", "Host/Slackware/packages");
script_description(english: desc);

script_xref(name: "SSA", value: "2006-340-01");
script_summary("SSA-2006-340-01 gnupg ");
name["english"] = "SSA-2006-340-01 gnupg ";
script_name(english:name["english"]);
script_cve_id("CVE-2006-6169","CVE-2006-6235");
exit(0);
}

include('slackware.inc');
include('global_settings.inc');

if (slackware_check(osver: "9.0", pkgname: "gnupg", pkgver: "1.4.6", pkgnum:  "1", pkgarch: "i386")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package gnupg is vulnerable in Slackware 9.0
Upgrade to gnupg-1.4.6-i386-1_slack9.0 or newer.
');
}
if (slackware_check(osver: "9.1", pkgname: "gnupg", pkgver: "1.4.6", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package gnupg is vulnerable in Slackware 9.1
Upgrade to gnupg-1.4.6-i486-1_slack9.1 or newer.
');
}
if (slackware_check(osver: "10.0", pkgname: "gnupg", pkgver: "1.4.6", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package gnupg is vulnerable in Slackware 10.0
Upgrade to gnupg-1.4.6-i486-1_slack10.0 or newer.
');
}
if (slackware_check(osver: "10.1", pkgname: "gnupg", pkgver: "1.4.6", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package gnupg is vulnerable in Slackware 10.1
Upgrade to gnupg-1.4.6-i486-1_slack10.1 or newer.
');
}
if (slackware_check(osver: "10.2", pkgname: "gnupg", pkgver: "1.4.6", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package gnupg is vulnerable in Slackware 10.2
Upgrade to gnupg-1.4.6-i486-1_slack10.2 or newer.
');
}
if (slackware_check(osver: "11.0", pkgname: "gnupg", pkgver: "1.4.6", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package gnupg is vulnerable in Slackware 11.0
Upgrade to gnupg-1.4.6-i486-1_slack11.0 or newer.
');
}

if (w) { security_hole(port: 0, data: desc); }
