# This script was automatically generated from the dsa-1220
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Brian May discovered that pstotext, a utility to extract plain text from
Postscript and PDF files, performs insufficient quoting of file names,
which allows execution of arbitrary shell commands.
For the stable distribution (sarge) this problem has been fixed in
version 1.9-1sarge2. The build for the mipsel architecture is not yet
available due to technical problems with the build host.
For the upcoming stable distribution (etch) this problem has been
fixed in version 1.9-4.
For the unstable distribution (sid) this problem has been fixed in
version 1.9-4.
We recommend that you upgrade your pstotext package.


Solution : http://www.debian.org/security/2006/dsa-1220
Risk factor : High';

if (description) {
 script_id(23737);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1220");
 script_cve_id("CVE-2006-5869");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1220] DSA-1220-1 pstotext");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1220-1 pstotext");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'pstotext', release: '3.1', reference: '1.9-1sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pstotext is vulnerable in Debian 3.1.\nUpgrade to pstotext_1.9-1sarge2\n');
}
if (deb_check(prefix: 'pstotext', release: '4.0', reference: '1.9-4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pstotext is vulnerable in Debian 4.0.\nUpgrade to pstotext_1.9-4\n');
}
if (deb_check(prefix: 'pstotext', release: '4.0', reference: '1.9-4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pstotext is vulnerable in Debian etch.\nUpgrade to pstotext_1.9-4\n');
}
if (deb_check(prefix: 'pstotext', release: '3.1', reference: '1.9-1sarge2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pstotext is vulnerable in Debian sarge.\nUpgrade to pstotext_1.9-1sarge2\n');
}
if (w) { security_hole(port: 0, data: desc); }
