# This script was automatically generated from the dsa-1243
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Renaud Lifchitz discovered that gv, the PostScript and PDF viewer for X,
performs insufficient boundary checks in the Postscript parsing code,
which allows the execution of arbitrary code through a buffer overflow.
Evince embeds a copy of gv and needs an update as well.
For the stable distribution (sarge) this problem has been fixed in
version 0.1.5-2sarge1.
For the upcoming stable distribution (etch) this problem has been
fixed in version 0.4.0-3.
For the unstable distribution (sid) this problem has been fixed in
version 0.4.0-3.
We recommend that you upgrade your evince package.


Solution : http://www.debian.org/security/2006/dsa-1243
Risk factor : High';

if (description) {
 script_id(23948);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1243");
 script_cve_id("CVE-2006-5864");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1243] DSA-1243-1 evince");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1243-1 evince");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'evince', release: '3.1', reference: '0.1.5-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package evince is vulnerable in Debian 3.1.\nUpgrade to evince_0.1.5-2sarge1\n');
}
if (deb_check(prefix: 'evince', release: '4.0', reference: '0.4.0-3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package evince is vulnerable in Debian 4.0.\nUpgrade to evince_0.4.0-3\n');
}
if (deb_check(prefix: 'evince', release: '4.0', reference: '0.4.0-3')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package evince is vulnerable in Debian etch.\nUpgrade to evince_0.4.0-3\n');
}
if (deb_check(prefix: 'evince', release: '3.1', reference: '0.1.5-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package evince is vulnerable in Debian sarge.\nUpgrade to evince_0.1.5-2sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
