# This script was automatically generated from the dsa-1251
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It has been discovered that netrik, a text mode WWW browser with vi like
keybindings, doesn\'t properly sanitize temporary filenames when editing
textareas which could allow attackers to execute arbitrary commands via
shell metacharacters.
For the stable distribution (sarge), this problem has been fixed in version
1.15.4-1sarge1.
For the upcoming stable distribution (etch) this problem has been fixed in
version 1.15.3-1.1.
For the unstable distribution (sid) this problem has been fixed in version
1.15.3-1.1.
We recommend that you upgrade your netrik package.


Solution : http://www.debian.org/security/2007/dsa-1251
Risk factor : High';

if (description) {
 script_id(24248);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1251");
 script_cve_id("CVE-2006-6678");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1251] DSA-1251-1 netrick");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1251-1 netrick");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'netrik', release: '3.1', reference: '1.15.3-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package netrik is vulnerable in Debian 3.1.\nUpgrade to netrik_1.15.3-1sarge1\n');
}
if (deb_check(prefix: 'netrik', release: '4.0', reference: '1.15.3-1.1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package netrik is vulnerable in Debian 4.0.\nUpgrade to netrik_1.15.3-1.1\n');
}
if (deb_check(prefix: 'netrik', release: '4.0', reference: '1.15.3-1.1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package netrik is vulnerable in Debian etch.\nUpgrade to netrik_1.15.3-1.1\n');
}
if (deb_check(prefix: 'netrik', release: '3.1', reference: '1.15.4-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package netrik is vulnerable in Debian sarge.\nUpgrade to netrik_1.15.4-1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
