# This script was automatically generated from the dsa-1317
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
duskwave discovered that tinymux, a text-based multi-user virtual world server,
performs insufficient boundary checks when working with user-supplied data,
which might lead to the execution of arbitary code.
For the stable distribution (etch), this problem has been fixed in version 
2.4.3.31-1etch1.
We recommend that you upgrade your tinymux package.


Solution : http://www.debian.org/security/2007/dsa-1317
Risk factor : High';

if (description) {
 script_id(25583);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1317");
 script_cve_id("CVE-2007-1655");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1317] DSA-1317-1 tinymux");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1317-1 tinymux");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'tinymux', release: '4.0', reference: '2.4.3.31-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tinymux is vulnerable in Debian 4.0.\nUpgrade to tinymux_2.4.3.31-1etch1\n');
}
if (deb_check(prefix: 'tinymux', release: '4.0', reference: '2.4.3.31-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package tinymux is vulnerable in Debian etch.\nUpgrade to tinymux_2.4.3.31-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
