#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24052);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CAN-2004-0888", "CAN-2004-0923", "CAN-2005-0064", "CAN-2005-2097", "CVE-2005-3625", "CVE-2005-3627");
 
 name["english"] = "Fedora Core 6 2006-1220: cups";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1220 (cups).

The Common UNIX Printing System provides a portable printing layer for
UNIX® operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

Update Information:

New version.  This update also fixes a problem with printing
to serial printers, and an information leak issue.



Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the cups package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"cups-lpd-1.2.7-1.3.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"cups-1.2.7-1.3.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"cups-libs-1.2.7-1.3.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"cups-", release:"FC6") )
{
 set_kb_item(name:"CAN-2004-0888", value:TRUE);
 set_kb_item(name:"CAN-2004-0923", value:TRUE);
 set_kb_item(name:"CAN-2005-0064", value:TRUE);
 set_kb_item(name:"CAN-2005-2097", value:TRUE);
 set_kb_item(name:"CVE-2005-3625", value:TRUE);
 set_kb_item(name:"CVE-2005-3627", value:TRUE);
}
