#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24059);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CAN-2004-0457", "CAN-2004-0837", "CAN-2004-0957", "CAN-2005-0710", "CVE-2006-2753", "CVE-2006-4227");
 
 name["english"] = "Fedora Core 6 2006-1297: mysql";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-1297 (mysql).

MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. The base package
contains the MySQL client programs, the client shared libraries, and
generic MySQL files.

Update Information:

Update to MySQL 5.0.27


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the mysql package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"mysql-test-5.0.27-1.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mysql-5.0.27-1.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"mysql-", release:"FC6") )
{
 set_kb_item(name:"CAN-2004-0457", value:TRUE);
 set_kb_item(name:"CAN-2004-0837", value:TRUE);
 set_kb_item(name:"CAN-2004-0957", value:TRUE);
 set_kb_item(name:"CAN-2005-0710", value:TRUE);
 set_kb_item(name:"CVE-2006-2753", value:TRUE);
 set_kb_item(name:"CVE-2006-4227", value:TRUE);
}
