#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2006:128
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(23879);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-3627", "CVE-2006-3628", "CVE-2006-3629", "CVE-2006-3630", "CVE-2006-3631", "CVE-2006-3632");
 
 name["english"] = "MDKSA-2006:128: wireshark";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2006:128 (wireshark).

A number of vulnerabilities have been discovered in the Wireshark
(formerly Ethereal) network analyzer. These issues have been corrected
in Wireshark version 0.99.2 which is provided with this update.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:128
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the wireshark package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2006 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libwireshark0-0.99.2-0.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"tshark-0.99.2-0.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.2-0.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-tools-0.99.2-0.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"wireshark-", release:"MDK2006.0") )
{
 set_kb_item(name:"CVE-2006-3627", value:TRUE);
 set_kb_item(name:"CVE-2006-3628", value:TRUE);
 set_kb_item(name:"CVE-2006-3629", value:TRUE);
 set_kb_item(name:"CVE-2006-3630", value:TRUE);
 set_kb_item(name:"CVE-2006-3631", value:TRUE);
 set_kb_item(name:"CVE-2006-3632", value:TRUE);
}
