#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2006:188
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24573);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-5072");
 
 name["english"] = "MDKSA-2006:188: mono";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2006:188 (mono).

Sebastian Krahmer of the SUSE security team found that the
System.CodeDom.Compiler classes in mono used temporary files in an
insecure way that could allow a symbolic link attack to overwrite
arbitrary files with the privileges of the user running a program that
made use of those classes.
Updated packages have been patched to correct this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:188
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the mono package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"jay-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libmono0-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libmono0-devel-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libmono-runtime-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mono-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mono-data-sqlite-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mono-doc-1.1.17.1-5.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"mono-", release:"MDK2007.0") )
{
 set_kb_item(name:"CVE-2006-5072", value:TRUE);
}
