#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:034
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24647);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-0452", "CVE-2007-0454");
 
 name["english"] = "MDKSA-2007:034: samba";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:034 (samba).

A logic error in the deferred open code for smbd may allow an
authenticated user to exhaust resources such as memory and CPU on the
server by opening multiple CIFS sessions, each of which will normally
spawn a new smbd process, and sending each connection into an infinite
loop. (CVE-2007-0452)
The name of a file on the server's share is used as the format string
when setting an NT security descriptor through the afsacl.so VFS
plugin. (CVE-2007-0454)
Updated packages have been patched to address these issues.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:034
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the samba package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libsmbclient0-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libsmbclient0-devel-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libsmbclient0-static-devel-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mount-cifs-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"nss_wins-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-client-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-common-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-doc-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-passdb-mysql-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-passdb-pgsql-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-passdb-xml-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-server-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-smbldap-tools-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-swat-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-vscan-clamav-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-vscan-icap-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-winbind-3.0.20-3.2.20060mdk", release:"MDK2006.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libsmbclient0-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libsmbclient0-devel-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libsmbclient0-static-devel-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mount-cifs-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"nss_wins-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-client-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-common-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-doc-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-server-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-smbldap-tools-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-swat-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-vscan-clamav-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-vscan-icap-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"samba-winbind-3.0.23d-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"samba-", release:"MDK2006.0")
 || rpm_exists(rpm:"samba-", release:"MDK2007.0") )
{
 set_kb_item(name:"CVE-2007-0452", value:TRUE);
 set_kb_item(name:"CVE-2007-0454", value:TRUE);
}
