#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:112
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25430);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-6172");
 
 name["english"] = "MDKSA-2007:112: mplayer";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:112 (mplayer).

Buffer overflow in the asmrp_eval function for the Real Media input
plugin allows remote attackers to cause a denial of service and
possibly execute arbitrary code via a rulebook with a large number
of rulematches.
Updated packages have been patched to correct this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:112
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the mplayer package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libdha1.0-1.0-1.pre8.13.3mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mencoder-1.0-1.pre8.13.3mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mplayer-1.0-1.pre8.13.3mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mplayer-gui-1.0-1.pre8.13.3mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libdha1.0-1.0-1.rc1.11.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mencoder-1.0-1.rc1.11.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mplayer-1.0-1.rc1.11.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mplayer-doc-1.0-1.rc1.11.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mplayer-gui-1.0-1.rc1.11.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"mplayer-", release:"MDK2007.0")
 || rpm_exists(rpm:"mplayer-", release:"MDK2007.1") )
{
 set_kb_item(name:"CVE-2006-6172", value:TRUE);
}
