#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24833);
 script_version ("$Revision: 1.2 $");
 script_cve_id("CVE-2007-0456", "CVE-2007-0457", "CVE-2007-0458", "CVE-2007-0459");

 name["english"] = "RHSA-2007-0066: wireshark";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  New Wireshark packages that fix various security vulnerabilities are now
  available. Wireshark was previously known as Ethereal.

  This update has been rated as having low security impact by the Red Hat
  Security Response Team.

  Wireshark is a program for monitoring network traffic.

  Several denial of service bugs were found in Wireshark\'s LLT, IEEE 802.11,
  http, and tcp protocol dissectors. It was possible for Wireshark to crash
  or stop responding if it read a malformed packet off the network.
  (CVE-2007-0456, CVE-2007-0457, CVE-2007-0458, CVE-2007-0459)

  Users of Wireshark should upgrade to these updated packages containing
  Wireshark version 0.99.5, which is not vulnerable to these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0066.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the wireshark packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"wireshark-0.99.5-1.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-1.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-AS21.3", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-AS21.3", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-EL3.1", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-EL3.1", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-EL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-EL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-1.el5", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-AS21.3", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-AS21.3", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-EL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-EL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-AS21.3", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-AS21.3", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-0.99.5-EL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"wireshark-gnome-0.99.5-EL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"wireshark-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}
if ( rpm_exists(rpm:"wireshark-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-0456", value:TRUE);
 set_kb_item(name:"CVE-2007-0457", value:TRUE);
 set_kb_item(name:"CVE-2007-0458", value:TRUE);
 set_kb_item(name:"CVE-2007-0459", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0066", value:TRUE);
