#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25137);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-3619");

 name["english"] = "RHSA-2007-0220: cpp";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated gcc packages that fix a security issue and various bugs are now
  available.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  The gcc packages include C, C++, Java, Fortran 77, Objective C, and Ada 95
  GNU compilers and related support libraries.

  Jürgen Weigert discovered a directory traversal flaw in fastjar. An
  attacker could create a malicious JAR file which, if unpacked using
  fastjar, could write to any files the victim had write access to.
  (CVE-2006-3619)

  These updated packages also fix several bugs, including:

  * two debug information generator bugs

  * two internal compiler errors

  In addition to this, protoize.1 and unprotoize.1 manual pages have been
  added to the package and __cxa_get_exception_ptr@@CXXABI_1.3.1 symbol has
  been added into libstdc++.so.6.

  For full details regarding all fixed bugs, refer to the package changelog
  as well as the specified list of bug reports from bugzilla.

  All users of gcc should upgrade to these updated packages, which contain
  backported patches to resolve these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0220.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the cpp packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"cpp-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gcc-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gcc-c++-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gcc-g77-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gcc-gnat-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gcc-java-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"gcc-objc-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libf2c-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libgcc-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libgcj-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libgcj-devel-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libgnat-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libobjc-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libstdc++-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libstdc++-devel-3.4.6-8", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"cpp-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-3619", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0220", value:TRUE);
