#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25146);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-4600");

 name["english"] = "RHSA-2007-0310: compat";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  A updated openldap packages that fix a security flaw is now available for
  Red Hat Enterprise Linux 4.

  This update has been rated as having low security impact by the Red Hat
  Security Response Team.

  OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
  Protocol) applications and development tools.

  A flaw was found in the way OpenLDAP handled selfwrite access. Users with
  selfwrite access were able to modify the distinguished name of any user.
  (CVE-2006-4600)

  All users are advised to upgrade to these updated openldap packages, which
  contain a backported patch to correct this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0310.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the compat packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"compat-openldap-2.1.30-7.4E", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"openldap-2.2.13-7.4E", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"openldap-clients-2.2.13-7.4E", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"openldap-devel-2.2.13-7.4E", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"openldap-servers-2.2.13-7.4E", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"openldap-servers-sql-2.2.13-7.4E", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"compat-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-4600", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0310", value:TRUE);
