#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25269);
 script_version ("$Revision: 1.2 $");
 script_cve_id("CVE-2006-5793", "CVE-2007-2445");

 name["english"] = "RHSA-2007-0356: libpng";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated libpng packages that fix security issues are now available for Red
  Hat Enterprise Linux.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  The libpng package contains a library of functions for creating and
  manipulating PNG (Portable Network Graphics) image format files.

  A flaw was found in the handling of malformed images in libpng. An attacker
  could create a carefully crafted PNG image file in such a way that it could
  cause an application linked with libpng to crash when the file was
  manipulated. (CVE-2007-2445)

  A flaw was found in the sPLT chunk handling code in libpng. An attacker
  could create a carefully crafted PNG image file in such a way that it could
  cause an application linked with libpng to crash when the file was opened.
  (CVE-2006-5793)

  Users of libpng should update to these updated packages which contain
  backported patches to correct these issues.

  Red Hat would like to thank Glenn Randers-Pehrson, Mats Palmgren, and Tavis
  Ormandy for supplying details and patches for these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0356.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the libpng packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libpng-1.2.10-7.0.2", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.2.10-7.0.2", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.0.14-10", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.0.14-10", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.2.2-27", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.2.2-27", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-1.0.13-17", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-devel-1.0.13-17", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.2.7-3.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.2.7-3.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-1.0.16-3", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-devel-1.0.16-3", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.2.10-7.0.2", release:"RHEL5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.0.14-10", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.0.14-10", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.2.7-3.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.2.7-3.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-1.0.16-3", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-devel-1.0.16-3", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.0.14-10", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.0.14-10", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-1.2.7-3.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng-devel-1.2.7-3.el4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-1.0.16-3", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libpng10-devel-1.0.16-3", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"libpng-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}
if ( rpm_exists(rpm:"libpng-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-5793", value:TRUE);
 set_kb_item(name:"CVE-2007-2445", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0356", value:TRUE);
