#
# (C) Tenable Network Security
#
# This plugin text was extracted from SuSE Security Advisory SUSE-SA:2006:054
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24432);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "SUSE-SA:2006:054: MozillaFirefox,MozillaThunderbird,seamonkey";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory SUSE-SA:2006:054 (MozillaFirefox,MozillaThunderbird,seamonkey).


Security updates have been released that bring Mozilla Firefox to
version 1.5.0.7, Mozilla Thunderbird to version 1.5.0.7 and Mozilla
Seamonkey to 1.0.5.

Seamonkey and Thunderbird were released early this week, Firefox was
released today.

Please also see
http://www.mozilla.org/projects/security/known-vulnerabilities.html
for more details.

The updates fix the following security problems:
MFSA 2006-64</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4571'>CVE-2006-4571: Crashes with evidence of memory corruption
MFSA 2006-63</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4570'>CVE-2006-4570: Executing JavaScript within E-Mail using XBL
MFSA 2006-62</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4569'>CVE-2006-4569: Pop up-blocker cross-site scripting (XSS)
MFSA 2006-61</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4568'>CVE-2006-4568: Frame spoofing using document.open()
MFSA 2006-60</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4340'>CVE-2006-4340/CERT VU#845620: RSA Signature Forgery
MFSA 2006-59</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4253'>CVE-2006-4253: Concurrency-related vulnerability
MFSA 2006-58</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4567'>CVE-2006-4567: Auto-Update compromise through DNS and SSL spoofing
MFSA 2006-57</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4565'>CVE-2006-4565</a>/<a href='http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4566'>CVE-2006-4566: JavaScript Regular Expression Heap Corruption


Solution : http://www.suse.de/security/http://www.novell.com/linux/security/advisories/2006_54_mozilla.html
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the MozillaFirefox,MozillaThunderbird,seamonkey package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"MozillaFirefox-1.5.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaFirefox-translations-1.5.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaThunderbird-1.5.0.7-0.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaFirefox-1.5.0.7-1.1", release:"SUSE9.2") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaFirefox-translations-1.5.0.7-1.1", release:"SUSE9.2") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaThunderbird-1.5.0.7-0.1", release:"SUSE9.2") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaFirefox-1.5.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaFirefox-translations-1.5.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"MozillaThunderbird-1.5.0.7-0.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
