# This script was automatically generated from 
#  http://www.gentoo.org/security/en/glsa/glsa-200703-25.xml
# It is released under the Nessus Script Licence.
# The messages are release under the Creative Commons - Attribution /
# Share Alike license. See http://creativecommons.org/licenses/by-sa/2.0/
#
# Avisory is copyright 2001-2006 Gentoo Foundation, Inc.
# GLSA2nasl Convertor is copyright 2004 Michel Arboi <mikhail@nessus.org>

if (! defined_func('bn_random')) exit(0);

if (description)
{
 script_id(24930);
 script_version("$Revision: 1.1 $");
 script_xref(name: "GLSA", value: "200703-25");
 script_cve_id("CVE-2007-1006");

 desc = 'The remote host is affected by the vulnerability described in GLSA-200703-25
(Ekiga: Format string vulnerability)


    Mu Security has discovered that Ekiga fails to implement formatted
    printing correctly.
  
Impact

    An attacker could exploit this vulnerability to crash Ekiga and
    potentially execute arbitrary code by sending a specially crafted Q.931
    SETUP packet to a victim.
  
Workaround

    There is no known workaround at this time.
  
References:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-1006


Solution: 
    All Ekiga users should upgrade to the latest version:
    # emerge --sync
    # emerge --ask --oneshot --verbose ">=net-im/ekiga-2.0.7"
  

Risk factor : High
';
 script_description(english: desc);
 script_copyright(english: "(C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[GLSA-200703-25] Ekiga: Format string vulnerability");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Gentoo Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys('Host/Gentoo/qpkg-list');
 script_summary(english: 'Ekiga: Format string vulnerability');
 exit(0);
}

include('qpkg.inc');
if (qpkg_check(package: "net-im/ekiga", unaffected: make_list("ge 2.0.7"), vulnerable: make_list("lt 2.0.7")
)) { security_hole(0); exit(0); }
