#
# (C) Tenable Network Security
#

if(description)
{
 script_id(24336);
 script_version("$Revision: 1.6 $");
 script_cve_id("CVE-2007-0025");
 script_bugtraq_id(22476);
 script_xref(name:"OSVDB", value:"31887");

 name["english"] = "Vulnerability in Microsoft MFC Could Allow Remote Code Execution (924667)";

 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

Arbitrary code can be executed on the remote host through the MFC
component provided with Microsoft Windows.

Description :

The remote host contains a version of Microsoft Windows which has a vulnerability 
in the the MFC component which could be abused by an attacker to execute arbitrary 
code on the remote host.

To exploit this vulnerability, an attacker would need to spend a specially
crafted RTF file to a user on the remote host and lure him into opening it.

Solution : 

Microsoft has released a set of patches for Windows 2000, XP and 2003 :

http://www.microsoft.com/technet/security/Bulletin/MS07-012.mspx

Risk factor :

High / CVSS Base Score : 8.0
(AV:R/AC:H/Au:NR/C:C/I:C/A:C/B:N)";


 script_description(english:desc["english"]);
 
 summary["english"] = "Determines the presence of update 924667";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Windows : Microsoft Bulletins";
 script_family(english:family["english"]);
 
 script_dependencies("smb_hotfixes.nasl");
 script_require_keys("SMB/Registry/Enumerated");
 script_require_ports(139, 445);
 exit(0);
}



include("smb_hotfixes_fcheck.inc");
include("smb_hotfixes.inc");
include("smb_func.inc");

if ( hotfix_check_sp(xp:3, win2003:3, win2k:6) <= 0 ) exit(0);

if (is_accessible_share())
{
 if ( hotfix_is_vulnerable (os:"5.2", sp:2, file:"Mfc40u.dll", version:"4.1.0.6141", dir:"\system32") ||
      hotfix_is_vulnerable (os:"5.2", sp:1, file:"Mfc40u.dll", version:"4.1.0.6141", dir:"\system32") ||
      hotfix_is_vulnerable (os:"5.1", sp:2, file:"Mfc40u.dll", version:"4.1.0.6141", dir:"\system32") ||
      hotfix_is_vulnerable (os:"5.0", file:"Mfc40u.dll", version:"4.1.0.6141", dir:"\system32") )
   	security_hole(get_kb_item("SMB/transport"));
 
 hotfix_check_fversion_end();
 exit (0);
}
else
{
  if ( hotfix_missing(name:"924667") > 0 ) security_hole(get_kb_item("SMB/transport"));
}
